/**************************************************************
	
	CalendarApp.h
	Last Update: 971226/13:00		
***************************************************************/

#pragma once
#include <Be.h>
#include "CalendarWindow.h"
#include "CalendarMMYY.h"
extern const char *app_signature;

class CalendarApplication : public BApplication {

public:
            CalendarApplication(int32 month, int32 year);
	void	MessageReceived(BMessage *message);
	void	AboutRequested();
	virtual  bool	QuitRequested(void);
    void	NewWindow(void);
    void	CloseWindow(void);
    
    MMYYWindow*	mmyyWindow;

private:
    int32	fCountWindow;
    int32	month;
    int32	year;
};

#define X_WCLS	'xwcl'

