// $Revision: 1.1 $
//	Copyright 1996 Be Inc., All Rights Reserved.
// Modified by T. Yamagata for Calendar
//	Last Update: 971226/13:00

#ifndef MONTHVIEW_H
#define MONTHVIEW_H

#include <View.h>

class BTSMonthGraphic;

//========================================================================================

#pragma export on
class BTSMonthView : public BView
{
public:
                    BTSMonthView(BRect frame, char *name, int32 m, int32 y);
					BTSMonthView(BMessage *);
    virtual         ~BTSMonthView();
	
	// BView overrides	
	virtual void	FrameResized(float new_width, float new_height);
	virtual void	Draw(BRect updateRect) ;
	virtual status_t Archive(BMessage *, bool) const;
	static BTSMonthView *Instantiate(BMessage *);
	virtual void	AboutRequested(void);
	virtual void	MessageReceived(BMessage *);
	void			InitMonthView(int32 m, int32 y, bool s);
	

protected:	
    BTSMonthGraphic     *fBackgroundGraphic;

public:
    int32	month;
    int32	year;
    bool	showHolidays;
};
#pragma export off

#endif

